質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.21%

Rubyアップデート後

解決済

回答 2

投稿

  • 評価
  • クリップ 4
  • VIEW 4,061

tsk691481

score 33

ruby2.1.0をインストール後rails serverが開けなくなり以下の文が出てきました。
内容を見ても如何すればいいのか困ってます。
OSはWindows8を使っています。

C:\Users\PC User\demo>rails s
C:/Ruby21/lib/ruby/2.1.0/rubygems/dependency.rb:298:in `to_specs': Could not fin
d 'railties' (>= 0) among 8 total gem(s) (Gem::LoadError)
        from C:/Ruby21/lib/ruby/2.1.0/rubygems/dependency.rb:309:in `to_spec'
        from C:/Ruby21/lib/ruby/2.1.0/rubygems/core_ext/kernel_gem.rb:53:in `gem
'
        from C:/RailsInstaller/Ruby1.9.3/bin/rails:22:in `<main>'
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

+1

すでに解決しているようですが、参考情報を記載しておきます。

ruby の version をアップデートした場合、いままでつかっていた gem がそのまま使えるかは不明です。
rails アプリを作っている Folder には Gemfile, Gefile.lock があるはずです。
これらにファイルは rails アプリが必要としている gem と、その version が記載されています。

  $ bundle insall 
とか、
  $ bundle update
を実行して、rails アプリが必要としている gem をインストールし直すことが可能です。

ruby のイントール直後には bundler も入っていないはずです。したがって
  gem instll bundler
を実行することも必要です。

その他:
gem install した結果、gem がどこに install されたかは、次のようにして調べることができます。
  $ gem which rails
  /Users/katoy/.rbenv/versions/2.1.4/lib/ruby/gems/2.1.0/gems/railties-4.1.7/lib/rails.rb
  (これは mac で rbenv をつかって ruby 環境を構築している環境での出力例です)

マシンにインストールされてしまい、それらを整理したい場合は次のようにして、gem 環境をクリーンにすることが可能です。
See gem をクリーンにする

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2014/11/10 10:09

    回答ありがとうございます。
    今後同じ状態に陥った時に参考にさせて頂きます。

    キャンセル

checkベストアンサー

0

以下のコマンドでrailtiesを入れてあげれば解決するはずです。
$ sudo gem install railties

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2014/11/09 14:15

    回答ありがとうございます。
    教え頂いたコマンド入力後以下の文が出たのですが如何すれば良いでしょうか・・・

    C:\Users\PC User\demo>rails s
    C:/Ruby21-x64/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require'
    : cannot load such file -- bundler/setup (LoadError)
    from C:/Ruby21-x64/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55
    :in `require'
    from C:/Users/PC User/demo/config/boot.rb:4:in `<top (required)>'
    from bin/rails:7:in `require_relative'
    from bin/rails:7:in `<main>'

    キャンセル

  • 2014/11/09 15:30

    bundlerはインストールされていますか?

    キャンセル

  • 2014/11/09 15:44

    はい。
    してはあるのですが・・・

    キャンセル

  • 2014/11/09 16:03

    すいません解決しました。
    回答ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.21%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る